console.clear();

select = e => document.querySelector(e);
selectAll = e => document.querySelectorAll(e);

let getDocProp = gsap.getProperty(":root"),
	midCol = getDocProp('--mid-color'),
	outCol = getDocProp('--out-color'),
	faceDuration = 0.5,
	staggerOffset = 0.1,
	easing = "sine.inOut",
	gtl = gsap.timeline( { repeat: -1, delay: 0.5 });

gsap.set('.container', { autoAlpha: 1 });

function facesIn() {
	let tl = gsap.timeline({ 
		defaults: {
			scaleY: 1,
			opacity: 0.9,
			backgroundColor: midCol,
			transformOrigin: "center bottom",
			duration: faceDuration,
			ease: easing,
			stagger: {
				each: staggerOffset,
			}
		}		  
	})
	.to('.face--back .face__panel', {})
	.to('.face--right .face__panel', {}, 0)
	.to('.face--bottom .face__panel', {}, 0)
	.to('.face--top .face__panel', {}, 0.3)
	.to('.face--left .face__panel', {}, 0.3)
	.to('.face--front .face__panel', {}, 0.3);
		
	return tl;
}

function facesOut() {
	let tl = gsap.timeline({ 
		defaults: {
			scaleY: 0,
			opacity: 0,
			backgroundColor: outCol,
			transformOrigin: "center top",
			duration: faceDuration,
			ease: easing,
			stagger: {
				each: staggerOffset,
			}
		}		  
	})
	.to('.face--top .face__panel', {})
	.to('.face--left .face__panel', {}, 0)
	.to('.face--front .face__panel', {}, 0)
	.to('.face--back .face__panel', {}, 0.3)
	.to('.face--right .face__panel', {}, 0.3)
	.to('.face--bottom .face__panel', {}, 0.3);
	
	return tl
}

gtl.add(facesIn())
   .add(facesOut(), "-=0.3")
   .timeScale(1.1);